Subject: [alpine-aports] [PATCH] main/php-mailparse: APKBUILD recreated with apkbuild-pecl. No rebuild needed.

From: Valery Kartel <[email-masked]>
Date: Sat, 7 Nov 2015 01:15:56 +0200

---
 main/php-mailparse/APKBUILD      | 49 +++++++++++++---------------------------
 main/php-mailparse/mailparse.ini |  1 -
 2 files changed, 16 insertions(+), 34 deletions(-)
 delete mode 100644 main/php-mailparse/mailparse.ini

diff --git a/main/php-mailparse/APKBUILD b/main/php-mailparse/APKBUILD
index d000e8a..0b03b57 100644
--- a/main/php-mailparse/APKBUILD
+++ b/main/php-mailparse/APKBUILD
@@ -1,54 +1,37 @@
-# Contributor: Carlo Landmeter <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=php-mailparse
-_realname=mailparse
+_pkgreal=mailparse
 pkgver=2.1.6
+_pkgver=${pkgver/_rc/RC}
 pkgrel=2
-pkgdesc="PHP Email message manipulation"
-url="http://pecl.php.net/package/mailparse"
+pkgdesc="PHP extension for email message manipulation"
+url="http://pecl.php.net/package/$_pkgreal"
 arch="all"
 license="PHP"
 depends=
-depends_dev="php-dev"
-makedepends="$depends_dev autoconf"
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends"
 install=""
 subpackages=""
-source="http://pecl.php.net/get/$_realname-$pkgver.tgz
-	mailparse.ini"
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
 
-_builddir="$srcdir/$_realname-$pkgver"
-
-prepare() {
-	local i
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
-}
+_builddir="$srcdir"/$_pkgreal-$_pkgver
 
 build() {
 	cd "$_builddir"
 	phpize || return 1
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		|| return 1
+	./configure --prefix=/usr || return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir/" install || return 1
-	install -D -m644 "$srcdir"/mailparse.ini \
-		"$pkgdir"/etc/php/conf.d/mailparse.ini || return 1
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
 }
 
-md5sums="0f84e1da1d074a4915a9bcfe2319ce84  mailparse-2.1.6.tgz
-9b8f5b99ee9d297ef1b439bacc2b3631  mailparse.ini"
-sha256sums="73705197d2b2ee782efa5477eb2a21432f592c2cb05a72c3a037bbe39e02b5cc  mailparse-2.1.6.tgz
-159dcc6fd7a64ccc960563a8befcd6e86b6e192b385bbb191e32c1dff6915b8d  mailparse.ini"
-sha512sums="a7337dd2e99a953a55b38c236da95a6bd2950c2bca16fc0ddfec39be8b0ffe01007353fc7b562d0509e0bb1623c3d2b03935d1c98a07dcd9f0b14bb508bce374  mailparse-2.1.6.tgz
-92a35efa955872d96b5d4ee2cbbec2338e53126b79efe0db352a568366d480cc50f25bb74da943ca55c23226216b694fbdbf890d7b8721f00b52cf310066d862  mailparse.ini"
+md5sums="0f84e1da1d074a4915a9bcfe2319ce84  mailparse-2.1.6.tgz"
+sha256sums="73705197d2b2ee782efa5477eb2a21432f592c2cb05a72c3a037bbe39e02b5cc  mailparse-2.1.6.tgz"
+sha512sums="a7337dd2e99a953a55b38c236da95a6bd2950c2bca16fc0ddfec39be8b0ffe01007353fc7b562d0509e0bb1623c3d2b03935d1c98a07dcd9f0b14bb508bce374  mailparse-2.1.6.tgz"
diff --git a/main/php-mailparse/mailparse.ini b/main/php-mailparse/mailparse.ini
deleted file mode 100644
index cb7ebda..0000000
--- a/main/php-mailparse/mailparse.ini
+++ /dev/null
@@ -1 +0,0 @@
-extension=mailparse.so
-- 
2.6.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---